ADOdb

Database Abstraction Layer for PHP

User Tools

Site Tools


v5:php_compatibility_status

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
v5:php_compatibility_status [2020/12/20 02:37]
dregad ↷ Page name changed from v5:php7_status to v5:php_compatibility_status
v5:php_compatibility_status [2021/03/01 10:34] (current)
dregad Refactor page
Line 1: Line 1:
 ====== PHP Compatibility Status ====== ====== PHP Compatibility Status ======
  
-===== PHP 7 =====+Should you discover any PHP compatibility issue in ADOdb,  
 +kindly [[https://github.com/ADOdb/ADOdb/issues/new?labels=php8|report it in our tracker]].
  
-PHP 7 is **fully supported** in the latest [[https://github.com/ADOdb/ADOdb/releases/latest|ADOdb Stable Release]] (5.20.12 or later), as well as in the 5.21 Development release (//master// branch). +Corrections are published as Hotfix releases((Drop-in replacements to earlier versions of the same release number)), so please make that sure the problem you're facing still exists in the most recent version before submitting a new issue
  
-==== Versions 7.0 to 7.3 ==== 
  
-All the [[https://github.com/ADOdb/ADOdb/issues?q=is%3Aclosed+label%3Aphp7|reported issues]] have been fixed.+===== PHP 8 =====
  
-==== Version 7.4 ==== +PHP 8 has been released on 26-Nov-2020, and is **fully supported** in ADOdb 5.20.20 and later.
-Fully Supported drivers appear to work correctly in this version, although there has been no formal testing.+
  
-==== Legacy ADOdb Versions Support ==== +See the [[https://github.com/ADOdb/ADOdb/labels/PHP8|list of reported compatibility issues]].  
-Please note that there are no plans to implement PHP 7 support in ADOdb legacy versions (5.19 and older).+ 
 + 
 +===== PHP 7 =====
  
-===== Reporting Issues =====+PHP 7 is **fully supported** since ADOdb 5.20.12 release.
  
-Should you discover any PHP compatibility issue in ADOdb, kindly [[https://github.com/ADOdb/ADOdb/issues/new?labels=php7|report the issue in our tracker]].+All the [[https://github.com/ADOdb/ADOdb/labels/php7|reported issues]] have been fixed.
  
-===== Addressing Issues ===== 
  
-Any PHP 7 compatibility issues found are released as Hotfixes to the current stable release, so please make sure you are using the most recent version. +===== Legacy ADOdb Versions Support =====
  
-Hotfix releases are drop-in replacements to earlier versions of the same release number. You can check the current status of PHP issues on the [[https://github.com/ADOdb/ADOdb/labels/php7|Github Issue Tracker]].+Please note that there are no plans to fix PHP compatibility issues in ADOdb Legacy versions (5.20 and older).
  
-===== Upgrading From Earlier Releases =====+==== Upgrading From Earlier Releases ====
 Users have reported that upgrading from releases 5.00 (released in 2007) and higher have been reasonably easy, but that earlier versions may require substantial adjustments, due to design considerations in ADOdb version 4. If you need guidance, use any of the support methods listed on the [[:index|main page]]. Users have reported that upgrading from releases 5.00 (released in 2007) and higher have been reasonably easy, but that earlier versions may require substantial adjustments, due to design considerations in ADOdb version 4. If you need guidance, use any of the support methods listed on the [[:index|main page]].
  
-===== Moving From Custom Releases ===== +==== Moving From Custom Releases ==== 
-In order to migrate their products from custom older versions of ADOdb back to the core product and take advantage of the active development of the product, as well as PHP 7 compatibility, a number of users have submitted their custom functionality to be integrated into core. If you are in the same situation, contact us about having your feature added.+In order to migrate their products from custom older versions of ADOdb back to the core product and take advantage of the active development of the product, as well as compatibility with PHP 7 and later, a number of users have submitted their custom functionality to be integrated into core. If you are in the same situation, contact us about having your feature added.
  
 ===== Package Testing Status ===== ===== Package Testing Status =====
v5/php_compatibility_status.1608428277.txt.gz · Last modified: 2020/12/20 02:37 by dregad